Index: pkg/pip/setup_pip.py
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- pkg/pip/setup_pip.py	(revision ed6ddbb8de4e29e70c49a1cf7dc8810cd79364ae)
+++ pkg/pip/setup_pip.py	(date 1614851487405)
@@ -35,23 +35,17 @@
     all_requires = req_lines.read().splitlines()
 
 requires = []
-extras_require = {}
-# Remove any requirements with environment specifiers. These
-# must be explicitly listed in extras_require below.
+kerberos_extras = []
+# Ensure the Wheel will use psycopg2-binary, not the source distro, and stick
+# gssapi in it's own list
 for index, req in enumerate(all_requires):
-    if ";" in req or req.startswith("#") or req == "":
-        # Add the pkgs to extras_require
-        if ";" in req:
-            pkg, env_spec = req.split(";")
-            extras_require[env_spec] = extras_require.get(env_spec, [])
-            extras_require[env_spec].append(pkg)
-        continue
-
-    # Ensure the Wheel will use psycopg2-binary, not the source distro
     if 'psycopg2' in req:
         req = req.replace('psycopg2', 'psycopg2-binary')
 
-    requires.append(req)
+    if 'gssapi' in req:
+        kerberos_extras.append(req)
+    else:
+        requires.append(req)
 
 # Get the version
 config = load_source('APP_VERSION', '../web/config.py')
@@ -77,7 +71,6 @@
         'Development Status :: 5 - Production/Stable',
 
         # Supported programming languages
-        'Programming Language :: Python :: 3.4',
         'Programming Language :: Python :: 3.5',
         'Programming Language :: Python :: 3.6',
         'Programming Language :: Python :: 3.7',
@@ -92,7 +85,9 @@
 
     install_requires=requires,
 
-    extras_require=extras_require,
+    extras_require={
+        "kerberos": kerberos_extras,
+    },
 
     entry_points={
         'console_scripts': ['pgadmin4=pgadmin4.pgAdmin4:main'],
Index: requirements.txt
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- requirements.txt	(revision ed6ddbb8de4e29e70c49a1cf7dc8810cd79364ae)
+++ requirements.txt	(date 1614788829786)
@@ -8,12 +8,6 @@
 #
 ###############################################################################
 
-
-##############################################################################
-# NOTE: Any requirements with environment specifiers must be explicitly added
-#       to pkg/pip/setup_pip.py (in extras_require), otherwise they will be
-#       ignored when building a PIP Wheel.
-##############################################################################
 cheroot==8.*
 Flask==1.*
 Flask-Gravatar==0.*
Index: web/regression/requirements.txt
IDEA additional info:
Subsystem: com.intellij.openapi.diff.impl.patch.CharsetEP
<+>UTF-8
===================================================================
--- web/regression/requirements.txt	(revision ed6ddbb8de4e29e70c49a1cf7dc8810cd79364ae)
+++ web/regression/requirements.txt	(date 1614790784056)
@@ -27,8 +27,3 @@
 traceback2==1.4.0
 selenium==3.14.0
 coverage==5.0.1
-###############################################################
-# Modules specifically required for Python3.3 or lesser version
-###############################################################
-mock===2.0.0; python_version < '3.3'
-
